Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# ioctl VIDIOC_G_OUTPUT, VIDIOC_S_OUTPUT

## Name

VIDIOC_G_OUTPUT, VIDIOC_S_OUTPUT -- Query or select the current video output

## Synopsis

``int ioctl`(int fd, int request, int *argp);`

## Arguments

`fd`

  File descriptor returned by `open()`.

`request`

  VIDIOC_G_OUTPUT, VIDIOC_S_OUTPUT

`argp`

## Description

To query the current video output applications call the `VIDIOC_G_OUTPUT` ioctl with a pointer to an integer where the driver stores the number of the output, as in the struct v4l2_output `index` field. This ioctl will fail only when there are no video outputs, returning the EINVAL error code.

To select a video output applications store the number of the desired output in an integer and call the `VIDIOC_S_OUTPUT` ioctl with a pointer to this integer. Side effects are possible. For example outputs may support different video standards, so the driver may implicitly switch the current standard. It is good practice to select an output before querying or negotiating any other parameters.

Information about video outputs is available using the `VIDIOC_ENUMOUTPUT` ioctl.

## Return Value

On success 0 is returned, on error -1 and the `errno` variable is set appropriately:

EINVAL

  The number of the video output is out of bounds, or there are no video outputs at all and this ioctl is not supported.

EBUSY

  I/O is in progress, the output cannot be switched.

Prev | Home | Next
ioctl VIDIOC_G_MODULATOR, VIDIOC_S_MODULATOR | Up | ioctl VIDIOC_G_PARM, VIDIOC_S_PARM